
Foreman - Refactor #12612

Update fog to 1.37.0

11/26/2015 05:58 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3000

  

Description

Tracker for updating to Fog 1.37.0 (or whatever is after 1.36.0).

fog-vsphere was moved to a separate gem. We need to add a require when including the fog extension, see 

https://github.com/fog/fog-vsphere/issues/10#issuecomment-159859635

Related issues:

Related to Foreman - Refactor #11729: Update fog to 2.0.0 New 09/08/2015

Related to Foreman - Refactor #14368: Update fog to 1.38.0 Closed 03/29/2016

Blocks Foreman - Feature #12436: As a user I want to deploy vSphere vms on a ... Closed 11/10/2015

Blocks Foreman - Bug #5510: Set network as first boot device for VMs in VMwar... Closed 04/30/2014

Blocks Foreman - Feature #12479: Configure API revision for vSphere Compute R... New 11/13/2015

Associated revisions

Revision e35faf64 - 01/12/2016 07:25 AM - Timo Goebel

fixes #12612 - Update fog to 1.37.0

- Update fog to 1.37.0

- Add fog-vsphere

- Change detection if vmware provider is available

Revision d1fcf010 - 01/19/2016 11:02 AM - Dominic Cleal

refs #12612 - use fog 1.37.0, fog-core 1.35.0

History

#1 - 11/26/2015 05:59 AM - Dominic Cleal

- Related to Refactor #11729: Update fog to 2.0.0 added

#2 - 11/26/2015 06:01 AM - Timo Goebel

- Blocks Feature #12436: As a user I want to deploy vSphere vms on a storage pods added

#3 - 11/26/2015 06:02 AM - Timo Goebel

- Blocks Bug #5510: Set network as first boot device for VMs in VMware compute resources added

#4 - 12/03/2015 04:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/2956 added

#5 - 12/03/2015 04:36 AM - Dominic Cleal
https://github.com/fog/fog-vsphere/issues/10#issuecomment-159859635


- Category set to Compute resources

- Status changed from Ready For Testing to New

- Assignee deleted (Dominic Cleal)

- Pull request deleted (https://github.com/theforeman/foreman/pull/2956)

Sorry, wrong ticket number!

#6 - 12/23/2015 02:40 AM - Dominic Cleal

1.37.0's out.

#7 - 12/23/2015 02:43 AM - Dominic Cleal

- Blocks Feature #12479: Configure API revision for vSphere Compute Resource added

#8 - 12/23/2015 03:15 AM - Timo Goebel

Awesome. Let me prep a PR for this...

#9 - 12/23/2015 03:19 AM - Dominic Cleal

Some extra pointers, since fog-vsphere is a new dependency:

1. bundler.d/vsphere.rb can now depend on fog-vsphere instead of rbvmomi

2. config/application.rb should be updated to set SETTINGS[:vsphere] in the same way as libvirt with defined?, rather than looking like ovirt (since

fog-vsphere's no longer in Fog core)

#10 - 12/23/2015 03:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/3000 added

#11 - 01/12/2016 07:27 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#12 - 01/12/2016 08:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e35faf64a7ca1aa07c249397a7ea701d61a451b3.

#13 - 03/29/2016 04:41 AM - Dominic Cleal

- Related to Refactor #14368: Update fog to 1.38.0 added
